# Class: Replaceable

Defined in: | lib/Types/StructuredTypes.coffee
Inherits: | types.Insert

## Overview

The ReplaceManager manages Replaceables.

### See also:

- ReplaceManager

## Instance Method Summary

- # (void) val() Return the content that this operation holds.
- # (void) replace(content) Replace the content of this replaceable with new content.
- # (void) execute() If possible set the replace manager in the content.
- # (void) _encode() Encode this operation in such a way that it can be parsed by remote peers.

## Constructor Details

# (void) constructor(content, parent, uid, prev, next, origin)

### Parameters:

- content ( `Operation` ) — The value that this Replaceable holds.
- parent ( `ReplaceManager` ) — Used to replace this Replaceable with another one.
- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.

## Instance Method Details

# (void) val()

Return the content that this operation holds.

# (void) replace(content)

Replace the content of this replaceable with new content.

# (void) execute()

If possible set the replace manager in the content.

### See also:

- Word.setReplaceManager

# (void) _encode()

Encode this operation in such a way that it can be parsed by remote peers.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input